Page MenuHomePhabricator

Port -first from compat to solve_disambiguation.py
Closed, ResolvedPublic

Description

Compat version has a -first option. With this only first linked title from each line (beginning with *) will be offered. Thus overdecorated disambiguation pages, full of unneccessary, irrelevant links can be treated normally.

See also T99365.

Related Objects

Event Timeline

binbot created this task.Sep 4 2016, 1:15 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptSep 4 2016, 1:15 PM
valhallasw added a subscriber: valhallasw.EditedSep 4 2016, 1:20 PM

This is a modifier for the -page: and -file: pagegenerators?

Sorry, I missed that this is about solve_disambiguation.py. This was introduced in https://www.mediawiki.org/wiki/Special:Code/pywikipedia/9875 in compat, and porting it should be relatively easy.

Xqt renamed this task from Port -first from compat to Port -first from compat to solve_disambiguation.py.Sep 12 2016, 12:41 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 24 2016, 5:48 PM

Change 312729 had a related patch set uploaded (by PranavAsty):
Added -first option to solve_disambiguation.py

https://gerrit.wikimedia.org/r/312729

Framawiki moved this task from Backlog to Doing on the good first bug board.Dec 2 2017, 1:31 PM
Xqt closed this task as Resolved.Sep 18 2018, 8:21 AM

Change 312729 merged by jenkins-bot:
[pywikibot/core@master] Added -first to solve_disambiguation.py

https://gerrit.wikimedia.org/r/312729